Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 662212 - Must not create ISOs that appear to be partition tables
Summary: Must not create ISOs that appear to be partition tables
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 21:39 UTC by David Zeuthen
Modified: 2013-03-06 04:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:27:45 UTC
Type: ---


Attachments (Terms of Use)

Description David Zeuthen 2010-12-10 21:39:46 UTC
A common usage of ISO images (e.g. Fedora-14-x86_64-netinst.iso) is to put them on a USB stick instead of burning them optical media. This works on most BIOSes. It's much easier than dealing with optical media.

Unfortunately, the Linux kernel thinks that the USB stick is partitioned so booting the USB stick fails when trying to mount rootfs. This is because of the first 512 bytes in the ISO image looks exactly like a MS-DOS partition table.

It would be good to create the ISO image in a way so this doesn't happen.

Comment 1 Jesse Keating 2010-12-10 22:02:12 UTC
I'm a pretty dumb user of mkisofs, so I'm not sure what options one could use.

Couple things though.

1) netinst.iso is actually built by anaconda, as part of "buildinstall"

2) livecd-iso-to-disk mostly works with these isos if you fiddle with it right.

3) Recently we've started using hybridiso for some of the isos (not sure if netinst.iso is one of them) which lets you dd the iso and put it on a usb device and boot it.  Have you tried anything other than netinst?

Comment 2 Fedora End Of Life 2012-08-16 18:27:47 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.